%define dname %{name}_%version

Summary:	Lists files open by processes
Name:		lsof
Version:	4.78
Release:	%mkrel 1
License:	Free
Url:		ftp://vic.cc.purdue.edu/pub/tools/unix/lsof/
Group:		Monitoring
Source0:	ftp://vic.cc.purdue.edu/pub/tools/unix/%name/%dname.tar.bz2
Patch0:		lsof_4.64-perl-example-fix.patch
Patch1:		lsof_4.60-has-security.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{version}-buildroot

%description
Lsof's name stands for LiSt Open Files, and it does just that. It lists
information about files that are open by the processes running on a UNIX
system.

%prep
%setup -q -c -n %{dname}

#
# Sort out whether this is the wrapped or linux specific tar ball.
#
[ -d %{dname} ] && cd %{dname}
[ -f %{dname}_src.tar ] && tar xf %{dname}_src.tar
[ -d %{dname}.linux -a ! -d %{dname} ] && \
	mv %{dname}.linux %{dname}
[ -d %{dname}_src ] && cd %{dname}_src
%patch0 -p1
%patch1 -p1

%build
[ -d %{dname}/%{dname}_src ] && cd %{dname}/%{dname}_src

LINUX_BASE=/proc
export LINUX_BASE
./Configure -n linux

%make DEBUG="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
[ -d %{dname}/%{dname}_src ] && cd %{dname}/%{dname}_src
install -s %{name} -D $RPM_BUILD_ROOT%{_sbindir}/%{name}
install -m644 lsof.8 -D $RPM_BUILD_ROOT%{_mandir}/man8/lsof.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{dname}/00*
%attr(0755,root,kmem) %{_sbindir}/%{name}
%{_mandir}/man8/lsof.8*




%changelog
* Wed Sep 05 2007 Thierry Vignaud <tvignaud@mandriva.com> 4.78-1mdv2008.0
+ Revision: 80037
- new release


* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 4.77-1mdv2007.0
+ Revision: 114680
- Import lsof

* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 4.77-1mdv2007.1
- unpack patches
- New version 4.77

* Wed Oct 19 2005 Thierry Vignaud <tvignaud@mandriva.com> 4.76-1mdk
- new release

* Thu Feb 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.74-1mdk
- new release

* Wed Nov 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.73-1mdk
- 4.73
- cosmetics

* Thu Apr 01 2004 Michael Scherer <misc@mandrake.org> 4.71-1mdk
- 4.71

